/* $Header:sprintf.c 12.0$ */
/* $ACIS:sprintf.c 12.0$ */
/* $Source: /ibm/acis/usr/src/lib/libc/stdio/RCS/sprintf.c,v $ */

#ifndef lint
static char *rcsid = "$Header:sprintf.c 12.0$";
#endif

#if defined(LIBC_SCCS) && !defined(lint)
static char sccsid[] = "@(#)sprintf.c	5.2 (Berkeley) 3/9/86";
#endif LIBC_SCCS and not lint

#include	<stdio.h>

char *sprintf(str, fmt, args, DUMMY)
register char *str, *fmt;
{
	FILE _strbuf;

	_strbuf._flag = _IOWRT+_IOSTRG;
	_strbuf._ptr = str;
	_strbuf._cnt = 32767;
	_doprnt(fmt, &args, &_strbuf);
	putc('\0', &_strbuf);
	return(str);
}
